# QuickObject

We have also implemented most of the *QuickObjects* classes that are available in Team Developer. In the table  below you can find the list of the supported **QuickObject** classes:

<table><thead><tr><th width="276.17582417582423">QuickObject Class</th><th width="294.3333333333333">PPJ Equivalent</th><th>.NET Base Class</th></tr></thead><tbody><tr><td>cQuickTabs</td><td>SalQuickTabs</td><td>UserControl wrapping a TabControl</td></tr><tr><td>cQuickTabsDialog</td><td>SalQuickTabsDialog</td><td>Form</td></tr><tr><td>cQuickTabsForm</td><td>SalQuickTabsForm</td><td>Form</td></tr><tr><td>cQuickTabsParent</td><td><p>SalQuickTabsParent</p><p>SalQuickTabsParentForm</p><p>SalQuickTabsParentDialog</p></td><td>Form</td></tr><tr><td><p>cQuickTipCheckBox</p><p>QuickToolTipCheckBox</p></td><td>SalQuickToolTipCheckBox</td><td>CheckBox</td></tr><tr><td><p>cQuickTipChildTable</p><p>QuickToolTipTable</p></td><td>SalQuickToolTipChildTable</td><td>UserControl</td></tr><tr><td>cQuickTipComboBox</td><td>SalQuickToolTipComboBox</td><td>ComboBox</td></tr><tr><td><p>cQuickTipDataField</p><p>QuickTooltipDataField</p><p>QuickToolTipDatafield</p></td><td>SalQuickToolTipDataField</td><td>TextBox</td></tr><tr><td>cQuickTipHScrollBar</td><td>SalQuickToolTipHScrollBar</td><td>HScrollBar</td></tr><tr><td>cQuickTipListBox</td><td>SalQuickToolTipListBox</td><td>ListBox</td></tr><tr><td><p>cQuickTipMultilineField</p><p>QuickToolTipMultilineField</p></td><td>SalQuickToolTipMultilineField</td><td>TextBox</td></tr><tr><td><p>cQuickTipOptionButton</p><p>QuickToolTipOptionButton</p></td><td>SalQuickToolTipOptionButton</td><td>RadioButton</td></tr><tr><td><p>cQuickTipPicture</p><p>QuickToolTipPicture</p></td><td>SalQuickToolTipPicture</td><td>PictureBox</td></tr><tr><td><p>cQuickTipPushbutton</p><p>QuickToolTipPushbutton</p></td><td>SalQuickToolTipPushbutton</td><td>Button</td></tr><tr><td><p>cQuickTipRadioButton</p><p>QuickToolTipRadioButton</p></td><td>SalQuickToolTipRadioButton</td><td>RadioButton</td></tr><tr><td>cQuickTipTableWindow</td><td>SalQuickToolTipTableWindow</td><td>Form</td></tr><tr><td>cQuickTipVScrollBar</td><td>SalQuickToolTipVScrollBar</td><td>VScrollBar</td></tr><tr><td>cToolTipManager</td><td>SalToolTipManager</td><td>Object</td></tr></tbody></table>

Over the years some names have been changed in the Team Developer QuickObject library. As a result there are different names for the same class and the naming convention is inconsistent.

While porting, we normalize all the different names into a single consistent naming style.

## Unsupported QuickObject classes

We do not support the following QuickObject classes:

* *cQuickGraph* and all related classes.
* *cQuickReport* and all related classes.
* *cQuickMail* and all related classes.

The code is still fully ported and the classes are generated. However the functionality is not supported and needs to be rewritten in the new application.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iceteagroup.com/general/framework/controls/quickobject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
